<?php
/**
 * Configuration for: Error reporting
 * GB_ENVIRONMENT declared in main index.php
 */
if(GB_ENVIRONMENT == "development" || GB_ENVIRONMENT == "dev"){
    error_reporting(E_ALL);
    ini_set("display_errors", 1);
    ini_set("xdebug.var_display_max_children", -1);
    ini_set("xdebug.var_display_max_data", -1);
    ini_set("xdebug.var_display_max_depth", -1);
} else{
    error_reporting(0);
}
/**
 * Configuration for: Project URL and Paths to load files.
 */
define('DS', DIRECTORY_SEPARATOR);
define('URL', rtrim(dirname($_SERVER['SCRIPT_NAME']), '\/'));
define('ROOTPATH', dirname(dirname(dirname(__FILE__))));
define('DATAPATH', ROOTPATH . DS . 'data');
define('APPPATH', ROOTPATH . DS . 'application');
define('VIEWS', APPPATH . DS . 'views');
define('COREPATH', APPPATH . DS . 'core');
define('HELPERS', APPPATH . DS . 'helpers');
define('VENDOR', ROOTPATH . DS . 'vendor');
define('LANGPATH', APPPATH . DS . 'language');
define("GBSCRIPT_VERSION", 6.0);
define("DATABASE_VERSION", 3);
function isDemoUrl(){
    if(!in_array($_SERVER['REMOTE_ADDR'], array('127.0.0.1', '::1'))){
        return strpos($_SERVER['HTTP_HOST'], 'aiglemedia.com') === false ? false : true;
    }
}

define("GBDEMO", isDemoUrl());
