<?php
namespace AJAXGuestBook\core;

class Auth {
    public static function handleLogin(){
        if(isset($_SESSION['timeout']) && (time() - $_SESSION['timeout']) > (60 * 60)){
            Session::set("loginerror", "Session expired. Please login again.");
            Session::set("returnurl", urlencode($_SERVER["REQUEST_URI"]));
            header('Location: ' . URL . '/login');
            exit();
        } else if(!isset($_SESSION['admin_logged_in']) || !isset($_SESSION['timeout'])){
            Session::set("loginerror", "You are currently not logged in. Please login to continue.");
            Session::set("returnurl", urlencode($_SERVER["REQUEST_URI"]));
            header('Location: ' . URL . '/login');
            exit();
        } else{
            Session::set("timeout", time());
        }
    }

    public static function checkLogin(){
        if(isset($_SESSION['timeout']) && (time() - $_SESSION['timeout']) > (60 * 60)){
            return false;
        } else if(!isset($_SESSION['admin_logged_in']) || !isset($_SESSION['timeout'])){
            return false;
        } else{
            Session::set("timeout", time());
            return true;
        }
    }
}
