Vue.component('GuestbookEntries', {
    delimiters: ['${', '}'],
    props: ['message'],
    template: `
<q-card class="q-mt-sm clearfix">
    <q-card-section class="q-py-sm">
        <span><i class="fas fa-user q-mr-sm"></i>
                    <template v-if="message.website != ''">
                        <a v-bind:href="message.website" target="_blank">$\{ message.fullname }</a>
                    </template>
                    <template v-else>
                        <span>$\{ message.fullname }</span>
                    </template>
                </span>
    </q-card-section>
    <q-separator></q-separator>
    <q-card-section>
        <div class="float-left q-mr-sm">
            <img class="rounded-borders shadow-2" v-bind:src="message.avatar" alt="gravatar" width="60" height="60" />
        </div>
        <div class="gbmessage comments" v-html="message.comments"></div>
        <div class="q-pt-sm" style="clear: both;">
            <small class="text-muted"><i class="fas fa-clock q-mr-sm"></i>$\{ message.datetime }</small>
        </div>
    </q-card-section>
</q-card>
`
})