<?php
/*
------------------
Language: English
------------------
*/

return [
    'GBEntries' => 'GuestBook Entries.',
    //leave it empty if you dont want to show FormSignUpInfo
    'FormSignUpInfo' => '<div><strong>Info :- </strong><span class="infobadge">HTML Code is On</span> <br>
                                You can insert basic html tags in message. Not all html tags are supported.<br>
                                Hover over the smiley\'s for smiley code.
                            </div>',
    'FormSignUp' => [
        'Message' => 'Sign the GuestBook.',
        'FieldName' => 'Name',
        'FieldEmail' => 'Email',
        'FieldWebsite' => 'Website',
        'FieldComments' => 'Message',
        'FieldCaptcha' => 'Captcha'
    ],
    'Buttons' => [
        'AddEntryButton' => 'Add Entry',
        'SubmitButton' => 'Submit',
        'CancelButton' => 'Cancel',
        'ResetButton' => 'Reset'
    ],
    //Please make sure variables inside {{ }} are important and you do not change the variables names.
    //Although you can place the variables where ever you want.
    'ErrorMessages' => [
        'alert' => 'Please correct the errors below.',
        'notEmpty' => '{{name}} must not be empty',
        'noWhitespace' => '{{name}} must not contain whitespace',
        'alpha' => '{{name}} must contain only letters (a-z A-Z)',
        'alnum' => '{{name}} must contain only letters (a-z A-Z) and digits (0-9)',
        'email' => '{{name}} must contain valid email',
        'url' => '{{name}} must contain valid URL',
        'stringType' => '{{name}} must contain only string',
        'length' => [
            'both' => '{{name}} must have a length between {{minValue}} and {{maxValue}} characters',
            'lower' => '{{name}} must have a length greater than {{minValue}} characters',
            'greater' => '{{name}} must have a length lower than {{maxValue}} characters'
        ],
        'intVal' => '{{name}} must be an integer number',
        'captcha' => 'Enter a valid {{name}} code',
        'ajaxfailure' => 'Some error occured with ajax request. Please try again.'
    ],
    'SuccessMessages' => [
        'entryAdded' => 'Entry added successfully.',
        'entryApproval' => 'Entry will be listed only after admin approves it.'
    ]
];