<?php
    /*
------------------
Language: French
------------------
*/

return [
    'GBEntries' => 'Entrées du livre d’or.',
    'FormSignUpInfo' => '<div><strong> Info: - </strong><span class = "badge badge-success">Le code HTML est activé </span><br>
                        Vous pouvez insérer des balises HTML de base dans un message. Tous les tags HTML ne sont pas pris en charge.<br>
                        Survolez le smiley pour le code smiley.
                        </div>',
    'FormSignUp' => [
        'Message' => 'Signer le livre d’or.',
        'FieldName' => 'Nom',
        'FieldEmail' => 'Email',
        'FieldWebsite' => 'Site Web',
        'FieldComments' => 'Message',
        'FieldCaptcha' => 'Captcha'
    ],
    'Buttons' => [
        'AddEntryButton' => 'Ajouter une entrée',
        'SubmitButton' => 'Soumettre',
        'CancelButton' => 'Annuler',
        'ResetButton' => 'Réinitialiser'
    ],
    //Please make sure variables inside {{ }} are important and you do not change the variables names.
    //Although you can place the variables where ever you want.
    'ErrorMessages' => [
        'alert' => 'Se il vous plaît corriger les erreurs ci-dessous.',
        'notEmpty' => '{{name}} ne doit pas être vide',
        'noWhitespace' => '{{name}} ne doit pas contenir d\'espaces',
        'alpha' => '{{name}} doit contenir uniquement des lettres (a-z A-Z)',
        'alnum' => '{{name}} doit contenir uniquement des lettres (a-z A-Z) et des chiffres (0-9)',
        'email' => '{{name}} doit contenir un email valide',
        'url' => '{{name}} doit contenir une URL valide',
        'stringType' => '{{name}} doit contenir uniquement de la ficelle',
        'length' => [
            'both' => '{{name}} doit avoir une longueur comprise entre {{minValue}} et {{maxValue}} caractères',
            'lower' => '{{name}} doit avoir une longueur supérieure à {{minValue}} caractères',
            'greater' => '{{name}} doit avoir une longueur inférieure à {{maxValue}} caractères'
        ],
        'intVal' => '{{name}} doit être un nombre entier',
        'captcha' => 'Entrez un code {{name}} valide',
        'ajaxfailure' => 'Une erreur est survenue avec la requête ajax. Veuillez réessayer.'
    ],
    'SuccessMessages' => [
        'entryAdded' => 'Entrée ajoutée avec succès.',
        'entryApproval' => 'L\'entrée ne sera listée qu\'après son approbation par l\'administrateur.'
    ]
];